
Name:			shred_GUI
Version:		1.3
Release:		%mkrel 1
Summary:		shred_GUI - overwrite a file to hide its contents, and optionally delete it 
Summary(de):	shred_GUI - Mehrfaches Überschreiben und löschen der angegebene Datei
Group:			Accessibility
License:		GPL
Url:			http://kellerleiche.bplaced.net/
Source:			%{name}-%{version}.tar.xz
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Requires:		yad, gtkdialog, xterm
Requires:		coreutils
Obsoletes:		%name < %version

%description
Simple GUI for shred.

Update Version 1.3
Add a simple script to overwrite files via right click, or in a terminal.
Use: shred.sh %f 
or   shred.sh file

Overwrite the specified FILE(s) repeatedly, in order to make it harder for even very 
expensive hardware probing to recover the data. 

Delete FILE(s) if --remove (-u) is specified. The default is not to remove the files 
because it is common to operate on device files like /dev/hda, and those files usually 
should not be removed. When operating on regular files, most people use the --remove option.

CAUTION: Note that shred relies on a very important assumption: that the file system 
overwrites data in place. This is the traditional way to do things, but many modern file 
system designs do not satisfy this assumption. The following are examples of file systems 
on which shred is not effective, or is not guaranteed to be effective in all file system modes:

* log-structured or journaled file systems, such as those supplied with 
AIX and Solaris (and JFS, ReiserFS, XFS, Ext3, etc.)

* file systems that write redundant data and carry on even if some writes 
fail, such as RAID-based file systems

* file systems that make snapshots, such as Network Appliance's NFS server

* file systems that cache in temporary locations, such as NFS version 3 clients

* compressed file systems

In the case of ext3 file systems, the above disclaimer applies 
(and shred is thus of limited effectiveness) only in data=journal mode, which 
journals file data in addition to just metadata. In both the data=ordered 
(default) and data=writeback modes, shred works as usual. Ext3 journaling modes 
can be changed by adding the data=something option to the mount options for a 
particular file system in the /etc/fstab file, as documented in the mount man 
page (man mount).

In addition, file system backups and remote mirrors may contain copies of the 
file that cannot be removed, and that will allow a shredded file to be recovered later. 

#german
%description -l de
Einfache Benutzeroberfläche für shred.

Update Version 1.3
Ein einfaches Skript zum überschreiben von Dateien via rechts klick oder im Terminal.
Verwende: shred.sh %f 
oder      shred.sh file

Mehrfaches Überschreiben der angegebenen DATEI(en), um es schwerer zu machen,
selbst mit teuren Hardware-Analysemitteln die Daten wieder herzustellen.     

DATEI(en) löschen, wenn --remove (-u) angegeben ist. Die Standardvorgabe
ist es, die Dateien nicht zu löschen, da man oft auf Gerätedateien wie /dev/hda
arbeitet, und diese Dateien nicht gelöscht werden sollten. Bei der Benutzung   
mit normalen Dateien verwenden die meisten Anwender die Option --remove.       

VORSICHT: Beachten Sie, dass „shred“ auf einer sehr wichtigen Annahme beruht:
dass das Dateisystem Daten an derselben Stelle überschreibt. Das ist die alt-
hergebrachte Vorgehensweise, doch viele moderne Betriebssystemdesigns erfüllen
diese Annahme nicht. Die folgenden Systeme sind Beispiele von Dateisystemen,  
auf denen „shred“ keine Wirkung hat oder auf denen nicht für alle Datei-      
systemmodi eine Wirkung garantiert werden kann:                               

* Log-strukturierte oder „journalled“ Dateisysteme, so wie die mit AIX und
  Solaris gelieferten (und JFS, ReiserFS, XFS, Ext3, usw.)                

* Dateisysteme, die redundante Daten schreiben und auch dann fortfahren, wenn
  einige Schreibvorgänge fehlschlagen, so wie RAID-basierte Dateisysteme     

* Dateisysteme, die Schnappschüsse anfertigen, so wie der NFS-Server
  von Network Appliance                                             

* Dateisysteme, die an temporären Orten zwischenspeichern, so wie Klienten
  unter NFS Version 3                                                     

* komprimierte Dateisysteme

Im Fall von ext3 trifft die obige Bemerkung nur zu, wenn der Modus data=journal
gesetzt ist, der neben einem Journal für Metadaten auch eines für Daten        
schreibt. Sowohl im Modus data=ordered (Voreinstellung) und data=writeback     
funktioniert shred wie gewöhnlich. Die Journal-Optionen von ext3 können beim   
Einhängen gesetzt werden.                                                      

Außerdem können Dateisystemsicherungen und entfernte Spiegel Kopien der Datei
enthalten, die nicht entfernt werden können, und die es erlauben, eine       
zerhackte Datei wieder herzustellen.

%prep

%setup -q

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}
install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/%{name} %buildroot%_bindir/%{name}
install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/shred.sh %buildroot%_bindir/shred.sh

mkdir -p %{buildroot}%{_datadir}/icons
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/shred.png %{buildroot}%{_datadir}/icons/shred.png

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=shred_GUI
Name[de]=shred_GUI
Comment=shred - overwrite a file to hide its contents, and optionally delete it 
Comment[de]=Mehrfaches Überschreiben von Dateien, um Wiederherstellung zu erschweren und löschen der Dateien
Exec=xterm -e shred_GUI
Icon=shred.png
Terminal=false 
Type=Application
StartupNotify=true
Categories=Qt;Utility;FileManager;X-MandrivaLinux-System-FileTools;
EOF


# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/shred.sh
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/shred.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo


%changelog
* Thu Apr 07 2022 daniel - 1.3-1pclos2022
- add a simple shred.sh script.


* Tue Mar 09 2021 daniel <> 1.2-1pclos2021
- rebuild with latest yad

* Mon Jan 11 2021 daniel <meisssw01 at gmail.com> 1.1-1pclos2021
- adjust GUI

* Sun Mar 29 2020 daniel <meisssw01 at gmail.com> 1.0-1pclos2020
- rebuild for latest gtkdialog

* Sun Aug 25 2019 daniel <meisssw01 at gmail.com> 0.9-1pclos2019
- rebuild with latest yad 

* Tue Oct 11 2011 leiche <meisssw01 at gmail.com> 0.8-2leiche2011
- fix little bug in script by travisn000
- fix description on main window

* Mon Oct 10 2011 leiche <meisssw01 at gmail.com> 0.8-1leiche2011
- 0.8 
- reform gui by travisn000

* Wed Oct 05 2011 leiche <meisssw01 at gmail.com> 0.7-1leiche2011
- 0.7
- add directory to shred, idea by travisn000

* Thu Sep 29 2011 leiche <meisssw01 at gmail.com> 0.6-1leiche2011
- fix space issues in filename,
  get no result with gtkdialog.
  Use now only YAD
   
* Mon Sep 26 2011 leiche <meisssw01 at gmail.com> 0.5-1leiche2011
- move to gtkdialog for a better handle

* Sun Sep 25 2011 leiche <meisssw01 at gmail.com> 0.4-2leiche2011
- fix open dialog
- fix cleaning file, after remove it
- fix desktop file
- clean script
- add scale dialog
- add display dialog, to display a selected file

* Wed Sep 14 2011 Archie <pclinuxos.ph at gmail.com>
- rebuild for x86_64

* Fri Jan 22 2010 leiche <MeissSW01 at aol.com> 0.2-2pclos2010
- change file select

* Thu Jan 21 2010 leiche <MeissSW01 at aol.com> 0.2-1pclos2010
- add other files open

* Wed Jan 20 2010 leiche <MeissSW01 at aol.com> 0.1-1pclos2010
- create for PCLinuxOS
- fixed GUI to change choose and add helpfile link to manpage
- add german description, internationalization 
